# QSslError Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QSslError()
- void QSslError(SslError error)
- void QSslError(SslError error, QSslCertificate certificate)
- void QSslError(QSslError other)

### Constructor Properties

- prototype: The QSslError prototype object
- UnspecifiedError = -1
- NoError
- UnableToGetIssuerCertificate
- UnableToDecryptCertificateSignature
- UnableToDecodeIssuerPublicKey
- CertificateSignatureFailed
- CertificateNotYetValid
- CertificateExpired
- InvalidNotBeforeField
- InvalidNotAfterField
- SelfSignedCertificate
- SelfSignedCertificateInChain
- UnableToGetLocalIssuerCertificate
- UnableToVerifyFirstCertificate
- CertificateRevoked
- InvalidCaCertificate
- PathLengthExceeded
- InvalidPurpose
- CertificateUntrusted
- CertificateRejected
- SubjectIssuerMismatch
- AuthorityIssuerSerialNumberMismatch
- NoPeerCertificate
- HostNameMismatch
- NoSslSupport
- CertificateBlacklisted
- SslError( value )

### Prototype Object Properties

- QSslCertificate certificate()
- SslError error()
- String errorString()
- QSslError operator_assign(QSslError other)
- bool operator_equal(QSslError other)

### Instance Properties

QSslError objects have no special properties beyond those inherited from the QSslError prototype object.